SystemOrganization addCategory: #ElenaAdventure!

WAFileLibrary subclass: #LMiniFileLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniFileLibrary methodsFor: 'accessing' stamp: 'MathiasKegelmann 12/11/2011 13:15'!
mainCss
	| darkGreen |
	darkGreen := 'rgb(1, 82, 0)'.
	^ '
body {
  font-family: "Fondamento", sans-serif;
  font-size: medium;
  padding-left: 30px; padding-right: 30px; padding-top: 30px;
  min-width: 30em; max-width: 50em;
  margin-left: auto; margin-right: auto;
  background-color: white;
  color: black;
}
div.main {
  padding: 2ex;
  background-color: rgb(196, 255, 195);
  color: #black;
  border: 2px solid ', darkGreen, ';
  border-radius: 8px; -moz-border-radius: 8px; -webkit-border-radius: 8px;
}
h1 { 
  font-family: Tangerine, cursive;
  font-weight: 700;
  font-size: 100px;
  position: relative;
  left: -70px;
  color: orange;
  margin: 0px 0px 20px 0px;
}
h2 { 
  font-family: Tangerine, cursive;
  font-weight: 700;
  font-size: 50px;
  color: ', darkGreen, ';
  margin: 0px
}
h3 { 
  font-family: Tangerine, cursive;
  font-weight: 700;
  font-size: 30px;
  color: blue;
  margin: 0px
}
div.inventory {
	float: right;
	width: 20%;
}
div.maze {
	margin-right: 25%;
	padding-right: 2ex;
	border-right: 2px solid green;
}
div.ensureFloat { clear: both; }
.footer { color: gray; font-family: Tangerine, cursive; font-size: larger; }
'! !

WAComponent subclass: #LInventory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LInventory methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/11/2011 15:39'!
renderContentOn: html
	| items |
	html heading level: 3; with: 'Du hast'.
	items := self session items.
	items 
		ifEmpty: [ html paragraph: 'Nichts.' ]
		ifNotEmpty: [ 
			html unorderedList: [
				items do: [ :item |
					html listItem: item ] ] ]
! !

WAComponent subclass: #LMiniAdventure
	instanceVariableNames: 'inventory maze'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniAdventure class methodsFor: 'testing' stamp: 'MathiasKegelmann 11/25/2011 21:03'!
canBeRoot
	^ true! !

!LMiniAdventure class methodsFor: 'class initialization' stamp: 'MathiasKegelmann 12/10/2011 23:47'!
initialize
	| application |
	application := WAAdmin register: self asApplicationAt: 'mini'.
	application preferenceAt: #sessionClass put: LMiniSession;
		addLibrary: JQDeploymentLibrary 
! !

!LMiniAdventure methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/10/2011 22:27'!
children
	^ Array with: inventory with: maze! !

!LMiniAdventure methodsFor: 'initialization' stamp: 'MathiasKegelmann 12/11/2011 13:21'!
initialize
	super initialize.
	inventory := LInventory new.
	maze := LMiniMaze new inventory: inventory
	! !

!LMiniAdventure methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/11/2011 13:15'!
renderContentOn: html
	html div
		class: #main; id: #main;
		with: [
			html heading level: 1; with: 'Elenas groes Abenteuer'.
			html div
				class: #inventory; id: #inventory;
				with: [ html render: inventory ].
			html div
				class: #maze; id: #maze;
				with: [ html render: maze ].
			html div class: #ensureFloat
		].
	html div
		class: #footer;
		with:
			[ html text: 'Version ', self versionNumber, ', Noemi & Mathias Kegelmann, ', self versionDate]
! !

!LMiniAdventure methodsFor: 'as yet unclassified' stamp: 'MathiasKegelmann 12/11/2011 12:27'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot link
		url: 'http://fonts.googleapis.com/css?family=Tangerine:400,700|Fondamento';
		type: 'text/css';
		beStylesheet.
	anHtmlRoot stylesheet url: (LMiniFileLibrary urlOf: #mainCss).
	anHtmlRoot title: 'Abenteuer'! !

!LMiniAdventure methodsFor: 'version' stamp: 'MathiasKegelmann 12/11/2011 12:28'!
versionDate
	^ '2011-12-11'! !

!LMiniAdventure methodsFor: 'version' stamp: 'MathiasKegelmann 12/11/2011 12:28'!
versionNumber
	^ '0.2'! !

WAComponent subclass: #LMiniMaze
	instanceVariableNames: 'position places inventory'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniMaze methodsFor: 'delegation' stamp: 'MathiasKegelmann 11/26/2011 20:59'!
exits
	^ position exits: self session! !

!LMiniMaze methodsFor: 'action' stamp: 'MathiasKegelmann 11/26/2011 20:32'!
goTo: aPositionSymbol
	position := places at: aPositionSymbol.
	position doEnterAction: self! !

!LMiniMaze methodsFor: 'delegation' stamp: 'MathiasKegelmann 11/25/2011 22:23'!
hasItemsToTake
	^ position items isEmpty not ! !

!LMiniMaze methodsFor: 'initialization' stamp: 'MathiasKegelmann 11/25/2011 21:15'!
initialialPosition
	^ #schloss! !

!LMiniMaze methodsFor: 'initialization' stamp: 'MathiasKegelmann 11/25/2011 21:40'!
initialize
	super initialize.
	self initializeMaze.
	position := places at: self initialialPosition! !

!LMiniMaze methodsFor: 'initialization' stamp: 'MathiasKegelmann 11/26/2011 20:41'!
initializeMaze
	places := Dictionary new
		at: #schloss put: (LMiniSchloss new);
		at: #dorf put: (LMiniDorf new);
		at: #schmied put: (LMiniSchmied new);
		at: #waldweiher put: (LMiniWaldweiher new);
		at: #wald put: (LMiniWald new);
		at: #elfe put: (LMiniElfe new);
		at: #vulkan put: (LMiniVulkan new);
		at: #imVulkan put: (LMiniImVulkan new);
		at: #ziel put: (LMiniZiel new);
		yourself! !

!LMiniMaze methodsFor: 'initialization' stamp: 'MathiasKegelmann 12/11/2011 13:21'!
inventory: inventoryComponent
	inventory := inventoryComponent ! !

!LMiniMaze methodsFor: 'delegation' stamp: 'MathiasKegelmann 11/25/2011 22:43'!
items 
	^ position items! !

!LMiniMaze methodsFor: 'delegation' stamp: 'MathiasKegelmann 11/25/2011 21:27'!
positionName
	^ position positionName ! !

!LMiniMaze methodsFor: 'rendering' stamp: 'MathiasKegelmann 11/26/2011 21:00'!
renderContentOn: html
	html heading
		level: 2;
		with: self positionName.
	html paragraph with: self sceneDescription.
	self renderItemsToTakeOn: html.
	self renderExitsOn: html! !

!LMiniMaze methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/11/2011 11:42'!
renderExit: label to: target on: html
	html anchor
		url: '#';
		onClick: (self renderExitOnClickTo: target on: html);
		with: label! !

!LMiniMaze methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/11/2011 13:27'!
renderExitOnClickTo: target on: html
	^ 
		(html jQuery: #maze) call: #fadeTo with: 'slow' with: 0 
			with: 
				((html jQuery: #maze) load 
					html: [ :h |
						self goTo: target.
						self renderContentOn: h
					 ];
					onComplete: 
						((html jQuery: #maze) call: #fadeTo with: 'slow' with: 1) asFunction
				) asFunction;
			return: false! !

!LMiniMaze methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/11/2011 11:37'!
renderExitsOn: html
	self exits ifEmpty: [ ^ self ].
	html heading level: 3; with: 'Gehe...'.
	html unorderedList: [ 
		self exits associationsDo: [ :exitAssoc | 
			html listItem: [
				self renderExit:	exitAssoc key to: exitAssoc value on: html ] ] ]! !

!LMiniMaze methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/11/2011 15:36'!
renderItemOnClick: item on: html
	^
		(html jQuery: #inventory) call: #slideUp
			with:
				((html jQuery ajax)
					script: [ :s | 
						self take: item executedIn: s.
						s << (s jQuery: #inventory) load html: [ :h | h render: inventory ].
						s << (s jQuery: #maze) load html: [ :h | self renderContentOn: h ].
					];
				onComplete:
					((html jQuery: #inventory) call: #slideDown) asFunction
				) asFunction;
			return: false! !

!LMiniMaze methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/11/2011 13:27'!
renderItemToTake: item on: html
	html text: item , ' '.
	^ html anchor
		url: '#';
		onClick: (self renderItemOnClick: item on: html);
		with: '(' , self takeVerb , ')'! !

!LMiniMaze methodsFor: 'rendering' stamp: 'MathiasKegelmann 12/11/2011 13:25'!
renderItemsToTakeOn: html
	self hasItemsToTake
		ifFalse: [ ^ self ].
	html heading
		level: 3;
		with: 'Du siehst'.
	html unorderedList: [ self items do: [ :item | 
			html listItem: [ self renderItemToTake: item on: html ] ] ]! !

!LMiniMaze methodsFor: 'delegation' stamp: 'MathiasKegelmann 11/26/2011 21:00'!
sceneDescription
	^ position sceneDescription: self session! !

!LMiniMaze methodsFor: 'action' stamp: 'MathiasKegelmann 12/11/2011 15:37'!
take: anItem executedIn: aScript
	(position take: anItem inMaze: self executedIn: aScript)
		ifTrue: [self session addItem: anItem]
		ifFalse: [ aScript <<  (aScript javascript return: nil) ]! !

!LMiniMaze methodsFor: 'delegation' stamp: 'MathiasKegelmann 11/26/2011 19:04'!
takeVerb
	^ position takeVerb ! !

WASession subclass: #LMiniSession
	instanceVariableNames: 'items'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniSession methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 22:02'!
addItem: anItem
	items add: anItem ! !

!LMiniSession methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:08'!
hasAllItems: itemCollection
	^ items includesAllOf: itemCollection ! !

!LMiniSession methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 19:28'!
hasItem: anItem
	^ items includes: anItem! !

!LMiniSession methodsFor: 'initialization' stamp: 'MathiasKegelmann 11/25/2011 22:01'!
initialize
	super initialize.
	items := OrderedCollection new.! !

!LMiniSession methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 22:02'!
items
	^ items! !

!LMiniSession methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 22:16'!
removeItem: anItem
	items remove: anItem ! !

Object subclass: #LMiniPosition
	instanceVariableNames: 'items'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

LMiniPosition subclass: #LMiniDorf
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniDorf methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:33'!
exits
	^ Dictionary new 
		at: 'nach Norden' put: #schloss;
		at: 'nach Osten' put: #schmied;
		yourself! !

!LMiniDorf methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/26/2011 19:26'!
initialItems
	^ OrderedCollection with: 'Pferd'! !

!LMiniDorf methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 21:21'!
positionName
	^ 'Dorf'! !

!LMiniDorf methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 19:09'!
sceneDescription
	^ 'Du bist im Dorf.'! !

!LMiniDorf methodsFor: 'accessing' stamp: 'MathiasKegelmann 12/11/2011 15:38'!
take: anItem inMaze: aMazeComponent executedIn: aScript
	| session coin |
	session := aMazeComponent session.
	coin := LMiniSchloss coin.
	(session hasItem: coin)
		ifTrue: [ 
			super take: anItem.
			session removeItem: coin.
			^true ]
		ifFalse: [ 
			aScript << (aScript javascript alert: 'Du hast nicht genug Geld!!').
			^false ]! !

!LMiniDorf methodsFor: 'accessing' stamp: 'MathiasKegelmann 12/11/2011 13:23'!
takeVerb
	^ 'kaufen'! !

LMiniPosition subclass: #LMiniElfe
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniElfe methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:40'!
exits
	^ Dictionary new 
		at: 'in den Gang' put: #vulkan;
		yourself! !

!LMiniElfe methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 19:50'!
positionName
	^ 'Gesprch mit der Elfe'! !

!LMiniElfe methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 19:51'!
sceneDescription
	^ 'Nimm diesen Gang der dich zum Ziel fhren wird,
	wenn du alles hast auer einem Goldstck.'! !

LMiniPosition subclass: #LMiniImVulkan
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniImVulkan methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:44'!
exits
	^ Dictionary new 
		at: 'kmpfen' put: #ziel;
		at: 'weg und ziehe dich zurck' put: #schloss;
		yourself! !

!LMiniImVulkan methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:43'!
positionName
	^ 'Im Vulkan'! !

!LMiniImVulkan methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:50'!
sceneDescription
	^ 'Du bist im Vulkan.'! !

!LMiniPosition methodsFor: 'action' stamp: 'MathiasKegelmann 11/26/2011 20:32'!
doEnterAction: aMazeComponent
	"callback called when the position changes"
	^ self! !

!LMiniPosition methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 21:17'!
exits
	"dictionary of directions and new position symbols"
	^ self subclassResponsibility ! !

!LMiniPosition methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:01'!
exits: aSession
	^ self exits! !

!LMiniPosition methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/25/2011 22:14'!
initialItems
	^ #()! !

!LMiniPosition methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/25/2011 22:14'!
initialize
	super initialize.
	items := self initialItems! !

!LMiniPosition methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 22:13'!
items
	^ items! !

!LMiniPosition methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 21:16'!
positionName
	^ self subclassResponsibility ! !

!LMiniPosition methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 21:17'!
sceneDescription
	^ self subclassResponsibility ! !

!LMiniPosition methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:49'!
sceneDescription: aSession
	^ self sceneDescription! !

!LMiniPosition methodsFor: 'action' stamp: 'MathiasKegelmann 11/25/2011 22:15'!
take: anItem
	items remove: anItem! !

!LMiniPosition methodsFor: 'action' stamp: 'MathiasKegelmann 11/26/2011 19:31'!
take: anItem inMaze: aMazeComponent
	"returns true if the item could be taken"
	self take: anItem.
	^ true! !

!LMiniPosition methodsFor: 'action' stamp: 'MathiasKegelmann 12/11/2011 15:22'!
take: anItem inMaze: aMazeComponent executedIn: aScript
	"returns true if the item could be taken"
	^ self take: anItem inMaze: aMazeComponent! !

!LMiniPosition methodsFor: 'accessing' stamp: 'MathiasKegelmann 12/11/2011 13:23'!
takeVerb
	"what to call the action to take allt items in the current position"
	^ 'nehmen'! !

LMiniPosition subclass: #LMiniSchloss
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniSchloss class methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/26/2011 19:33'!
coin
	^ 'Goldmnze'! !

!LMiniSchloss class methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/26/2011 20:53'!
key
	^ 'Schlssel'! !

!LMiniSchloss methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:34'!
exits
	^ Dictionary new 
		at: 'nach Norden' put: #waldweiher;
		at: 'nach Sden' put: #dorf;
		at: 'nach Sd-Osten' put: #schmied;
		yourself! !

!LMiniSchloss methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/26/2011 20:54'!
initialItems
	^ OrderedCollection with: self class key with: self class coin! !

!LMiniSchloss methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 21:23'!
positionName
	^ 'Schloss'! !

!LMiniSchloss methodsFor: 'accessing' stamp: 'MathiasKegelmann 12/10/2011 23:05'!
sceneDescription
	^ 'Du bist im Schloss.'! !

LMiniPosition subclass: #LMiniSchmied
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniSchmied methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:34'!
exits
	^ Dictionary new 
		at: 'nach Westen' put: #dorf;
		at: 'in den Geheimgang' put: #waldweiher; 
		yourself! !

!LMiniSchmied methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/26/2011 19:43'!
initialItems
	^ OrderedCollection with: 'Schwert'! !

!LMiniSchmied methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/25/2011 21:29'!
positionName
	^ 'Schmied'! !

!LMiniSchmied methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 19:43'!
sceneDescription
	^ 'Du bist beim Schmied.', 
		((items includes: 'Schwert') 
			ifTrue: [' Du bekommst ein Schwert.'] 
			ifFalse: [''])! !

!LMiniSchmied methodsFor: 'accessing' stamp: 'MathiasKegelmann 12/11/2011 13:24'!
takeVerb
	^ 'annehmen'! !

LMiniPosition subclass: #LMiniVulkan
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniVulkan methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:02'!
exits: aSession
	| dict |
	dict := Dictionary new.
	dict at: 'nach Sden' put: #schloss.
	(self isGateOpen: aSession)
		ifTrue: [ dict at: 'nach Osten' put: #imVulkan ].
	^ dict! !

!LMiniVulkan methodsFor: 'private' stamp: 'MathiasKegelmann 11/26/2011 20:56'!
gateDescription: aSession
	(self isGateOpen: aSession)
		ifTrue: [ ^ 'Das Tor ist offen!!' ]
		ifFalse: [ ^ 'Das Tor ist verschlossen.' ]! !

!LMiniVulkan methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/26/2011 20:51'!
initialItems
	^ OrderedCollection with: 'Lavagetrnk' with: 'Vulkanstein'! !

!LMiniVulkan methodsFor: 'private' stamp: 'MathiasKegelmann 11/26/2011 20:56'!
isGateOpen: aSession
	^ aSession hasItem: 'Schlssel'! !

!LMiniVulkan methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:52'!
positionName
	^ 'Vulkan'! !

!LMiniVulkan methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:09'!
sceneDescription: aSession
	^ 'Du bist beim Vulkan. ', (self gateDescription: aSession)! !

LMiniPosition subclass: #LMiniWald
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniWald methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:03'!
exits
	^ Dictionary new 
		at: 'nach Osten' put: #waldweiher;
		at: 'zur Elfe und sprich mit ihr' put: #elfe;
		yourself! !

!LMiniWald methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 19:48'!
positionName
	^ 'Wald'! !

!LMiniWald methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 19:49'!
sceneDescription
	^ 'Du bist im Wald und siehst eine Elfe.'! !

LMiniPosition subclass: #LMiniWaldweiher
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniWaldweiher methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 20:35'!
exits
	^ Dictionary new 
		at: 'nach Westen' put: #wald;
		at: 'in den Geheimgang' put: #schmied;
		yourself! !

!LMiniWaldweiher methodsFor: 'initialize-release' stamp: 'MathiasKegelmann 11/26/2011 21:06'!
initialItems
	^ OrderedCollection with: 'Versunkenes Amulett'! !

!LMiniWaldweiher methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 19:47'!
positionName
	^ 'Waldweiher'! !

!LMiniWaldweiher methodsFor: 'accessing' stamp: 'MathiasKegelmann 12/10/2011 23:04'!
sceneDescription
	^ 'Du bist beim Waldweiher.'! !

LMiniPosition subclass: #LMiniZiel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElenaAdventure'!

!LMiniZiel methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:04'!
exits
	^ Dictionary new.! !

!LMiniZiel methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:04'!
positionName
	^ 'Ziel'! !

!LMiniZiel methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:12'!
sceneDescription: aSession
	(self won: aSession)
		ifTrue: [ ^ 'Du bist im Ziel und hast gewonnen!!!! ' ]
		ifFalse: [ ^ 'Du hast leider nicht alle Gegenstnde. Damit hast du leider verloren!!' ]! !

!LMiniZiel methodsFor: 'accessing' stamp: 'MathiasKegelmann 11/26/2011 21:10'!
won: aSession
	^ aSession hasAllItems: { 'Schwert' . 'Versunkenes Amulett' }
	! !
LMiniAdventure initialize!
